<?
echo'<div class="event"><h1><a href="/?rice">Мои ставки</a></h1></div>';
if($post['status']==1)$pobeda=($post['summa']/100*50+$post['summa']);
if($post['status']==2)$pobeda=($post['summa']/100*25+$post['summa']);
if($post['status']==3)$pobeda=($post['summa']/100*10+$post['summa']);
if(isset($_GET['be']) && intval($_GET['be'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `rice_bet` WHERE `id` = '".intval($_GET['be'])."' AND `status` < '4' AND `id_user` = '$ku[id]'"),0)!=0)
{
$be=mysql_fetch_array(mysql_query("SELECT * FROM `rice_bet` WHERE `id` = '".intval($_GET['be'])."'"));
if($be['status']==1)$pobeda=($be['summa']/100*50+$be['summa']);
if($be['status']==2)$pobeda=($be['summa']/100*25+$be['summa']);
if($be['status']==3)$pobeda=($be['summa']/100*10+$be['summa']);
mysql_query("UPDATE `kolhoz_user` SET `money` = `money` + '$pobeda' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `rice_bet` SET `status` = '6' WHERE `id` = '$be[id]'");
$_SESSION['msg']='На ваш баланс зачислено '.strkol($pobeda).' монет';
header("location:/?rice");
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `rice_bet`  WHERE `status` < '4' AND `id_user` = '$ku[id]'"),0);
if($k_post<1)
{
echo'<div class="block">У вас пока нет выигранных ставок.</div>';
}
$set['p_str']=10;
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `rice_bet`  WHERE `status` < '4' AND `id_user` = '$ku[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
    
echo "<div class='block'>";
if($post['status']==1)$pobeda=($post['summa']/100*50+$post['summa']);
if($post['status']==2)$pobeda=($post['summa']/100*25+$post['summa']);
if($post['status']==3)$pobeda=($post['summa']/100*10+$post['summa']);

  echo "<img src='/rice/images/driver.png'> Ставка #".($post['id'])." (Выигрыш: <img src='/images/icons/money.png'> ".strkol($pobeda).") <a href= '/?rice&mybet&be=$post[id]'>[забрать выигрыш]</a></span></div>";
}
if ($k_page>1)str("?rice&mybet&",$k_page,$page); // Вывод страниц
include_once'inc/foot.php';
?>